
#ifndef _READKEY_H
#define _READKEY_H

#include <conio.h>

#define NOKEY   0
#define BKSPC   0x08
#define TAB     0x09
#define ESC     0x1B

#define F1      0x3B00
#define F2      0x3C00
#define F3      0x3D00
#define F4      0x3E00
#define F5      0x3F00
#define F6      0x4000
#define F7      0x4100
#define F8      0x4200
#define F9      0x4300
#define F10     0x4400
#define F11     0x8500
#define F12     0x8600

#define LEFT    0x4B00
#define UP      0x4800
#define RIGHT   0x4D00
#define DOWN    0x5000

#define INSERT  0x5200
#define DELETE  0x5300
#define HOME    0x4700
#define END     0x4F00
#define PAGEUP  0x4900
#define PAGEDN  0x5100


#ifdef __cplusplus
inline 
#endif
int ReadKey()

{
  int ch = getch();
  return ch ? ch : ((ch | getch()) << 8);
}


#ifdef __cplusplus
inline
#endif
int ReadKeyNoWait()
{
  int ch;
  return (kbhit() ? ((ch = getch()) ? ch : ((ch | getch()) << 8)) : 0);
}

#endif
